Subject: [quicwg/base-drafts] Ben Kaduk's TLS Comment 17 (#4493)

From: Lucas Pardue <[email-masked]>
Date: Tue, 05 Jan 2021 18:56:30 -0800

@kaduk said:

> Section 5.5
> 
>    Once an endpoint successfully receives a packet with a given packet
>    number, it MUST discard all packets in the same packet number space
>    with higher packet numbers if they cannot be successfully unprotected
>    with either the same key, or - if there is a key update - the next
>    packet protection key (see Section 6).  [...]
> 
> Pedantically, "the next packet protection key" seems to imply
> specifically the one next key, not "any subsequent key".  A strict
> reading of this text would thust require discarding all packets received
> after a second key update, because this clause applies to the very first
> packet successfully received, and the third key used is neither the
> "same" or "next" key, from that reference point.  (I note that in §6.4
> we merely talk about "either the same or newer packet protection keys".)

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4493

---

From: Jana Iyengar <[email-masked]>
Date: Wed, 06 Jan 2021 22:48:34 -0800

Closed #4493 via #4573.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4493#event-4178445995